aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xjavagnutar/watch17
1 files changed, 17 insertions, 0 deletions
diff --git a/javagnutar/watch b/javagnutar/watch
new file mode 100755
index 0000000..1a82980
--- /dev/null
+++ b/javagnutar/watch
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+wget http://code.google.com/p/javagnutar/ >/dev/null 2>/dev/null
+if [ $? = 0 ]; then
+ grep \\.zip < index.html | md5sum > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'javagnutar'
+ fi
+ rm index.html
+else
+ echo 'javagnutar (unfetchable)'
+fi
+